Create a new IP to hostname mapping
Creates a new IP to hostname mapping, establishing how network resources identify the system by name. Use this to manage DNS configurations within the specified storage virtual machine (SVM).
HTTP method and endpoint
POST /name-services/local-hosts
Introduced in
ONTAP 9.10
Required properties
-
owner.uuidorowner.name- Existing SVM in which to create IP to host mapping. -
address- IPv4/IPv6 address in dotted form. -
hostname- Canonical hostname.
Related ONTAP commands
-
vserver services name-service dns hosts create
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
address |
string |
IPv4/IPv6 address in dotted form. |
aliases |
array[string] |
The list of aliases. |
hostname |
string |
Canonical hostname. |
owner |
||
scope |
string |
Scope of the entity. Set to "cluster" for cluster owned objects and to "svm" for SVM owned objects. |
Example request
{
"address": "123.123.123.123",
"aliases": [
"host1.sales.foo.com",
"host2.sakes.foo.com"
],
"hostname": "host.sales.foo.com",
"owner": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"scope": "string"
}
Response
Status: 201, Created
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1966253 |
IPv6 is not enabled in the cluster. Enable IPv6 using command "network options ipv6 modify -enabled true" and try again. |
8912896 |
Only admin or data Vservers allowed. |
23724055 |
Internal error. Configuration for Vserver failed. Verify that the cluster is healthy, then try the command again. For further assistance, contact technical support. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
owner
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
local_host
| Name | Type | Description |
|---|---|---|
address |
string |
IPv4/IPv6 address in dotted form. |
aliases |
array[string] |
The list of aliases. |
hostname |
string |
Canonical hostname. |
owner |
||
scope |
string |
Scope of the entity. Set to "cluster" for cluster owned objects and to "svm" for SVM owned objects. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |